## com.google.appengine.api.xmpp
Class Subscription

    java.lang.Object
      com.google.appengine.api.xmpp.Subscription

    public class Subscription

extends java.lang.Object

Represents an incoming subscription stanza from the server.

See Also:
  `SubscriptionBuilder`

Method Summary
`JID` `getFromJid()`
`java.lang.String` `getStanza()`
`SubscriptionType` `getSubscriptionType()`
`JID` `getToJid()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSubscriptionType

    public SubscriptionType getSubscriptionType()

### getToJid

    public JID getToJid()

### getFromJid

    public JID getFromJid()

### getStanza

    public java.lang.String getStanza()